Share a Woku review link via email
curl --request POST \
--url https://clientapi.woku.app/v1/wokus/{wokuId}/share \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientEmail": "customer@example.com",
"clientEmails": [
"customer1@example.com",
"customer2@example.com"
]
}
'import requests
url = "https://clientapi.woku.app/v1/wokus/{wokuId}/share"
payload = {
"clientEmail": "customer@example.com",
"clientEmails": ["customer1@example.com", "customer2@example.com"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientEmail: 'customer@example.com',
clientEmails: ['customer1@example.com', 'customer2@example.com']
})
};
fetch('https://clientapi.woku.app/v1/wokus/{wokuId}/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 400,
"message": "<string>",
"error": "Bad Request"
}{
"statusCode": 403,
"message": "Authentication required",
"error": "Forbidden"
}Wokus
Share a Woku review link via email
Sends the Woku review link to one or more email addresses inviting recipients to leave feedback.
POST
/
v1
/
wokus
/
{wokuId}
/
share
Share a Woku review link via email
Authorizations
Company API key. Obtain this from your Woku dashboard under Settings > API Keys. The same key used for the v0 endpoints.
Path Parameters
MongoDB ObjectId of the Woku.
Pattern:
^[0-9a-fA-F]{24}$Body
application/json
Response
Email(s) sent
⌘I